#!/bin/bash

DATE=`date +%d.%m.%Y`
DIR="KissCount_build_$DATE"
FILE="$DIR.tar.bz2"

rm -f $FILE
rm -rf $DIR
if [ "$1" == "clean" ] ; then
make clean
fi
make || (echo "Compilation failed" ; exit 1)
mkdir -p $DIR/lib
find $DIR -type f -exec strip \{\} \;
cp -r lib/freechart/lib/* lib/wxsqlite3-1.9.9/lib/* $DIR/lib
cp -r kc init.sql ressources tools/launch_kc.sh TODO CONTRIBUTORS COPYING README README.fr $DIR
tar -jcf $FILE $DIR
rm -rf $DIR
echo "Packaged !"